#!/bin/sh
# Nomo: paĝo.sh
# Pri: Tiu ĉu skripto presas enhavon de HTML-paĝo legebla de donita »paĝo«.
# Dato: 2024-03-18


PAGHO="$1"
TITOLO="$(head -1 "$PAGHO" | sed 's%</.*%%' | sed 's%.*>%%')"
ENHAVO="$(tail +2 "$PAGHO")"


cat <<EOF
	<body>
		<div id=app>
			<style>
				body {
					background-color: #B5E9EC;
					font-family: sans-serif;
					font-size: 14px;
					color: black;
				}


				.our-panel {
					box-shadow: 0px 0px 0px 1px rgba(98, 14, 140, 1) , 1px 1px 3px 1px rgba(0, 0, 0, 0.5);
					overflow: hidden;
					border-radius: 3px;
					padding: 0;
					background-color: #F7F7F7;
					max-width: 1000px;
					margin: auto;
					margin-top: 3.0rem;
				}


				img {
					bottom: 0;
					display: table-cell;
					vertical-align: bottom;
				}


				h1 {
					text-align: center;
				}


				.our-panel-heading {
					border-radius: 3px 3px 0 0;
					align-items: stretch;
					background-color: #E2C2F2;
					box-shadow: 0px 0px 0px 1px rgba(98, 14, 140, 1) , 1px 1px 0px 0px rgba(255, 255, 255, 0.3) inset, -1px -1px 0px 0px rgba(0, 0, 0, 0.3) inset;
					flex-direction: column;
					padding: .5em;
					position: relative;
					text-align: left;
					font-size: 1.3em;
				}


				.our-panel:after {
					bottom: 0;
					box-shadow: 1px 1px 4px rgba(0, 0, 0, .6);
					box-shadow: 0px 0px 0px 1px rgba(98, 14, 140, 1) , 1px 1px 3px 1px rgba(0, 0, 0, 0.5);
					content: "";
					left: 0;
					pointer-events: none;
					position: absolute;
					right: 0;
					top: 0;
					z-index: 5;
				}


				.our-panel-body p {
					padding-left: 20px;
					padding-right: 20px;
				}


				.our-panel-body:empty:before {
					content: "¯\\_(ツ)_/¯";
					display: block;
					margin: 1em;
					text-align: center;
				}


				.our-panel-body>p {
					line-height: 1.3;
					margin: 0;
					padding: 1em;
				}
				nav {
					width: 100%;
					background-color: #B6E2FF;
					box-shadow: 0px -1px 0px 0px rgba(0, 0, 0, 0.3) inset, 0px 0px 0px 1px rgba(98, 14, 140, 1) , 0px 0px 3px 1px rgba(0, 0, 0, 0.3);
					color: hsla(240,1%,73%,.5);
					color: var(--faint,hsla(240,1%,73%,.5));
					height: 3.5rem;
					text-align: center;
					border-bottom: 3px;
					border-bottom-color: rgba(98, 14, 140, 1);
					margin: 0;
				}
				nav a {
					margin: auto;
					margin-top: 50%;
					color: rgba(128, 108, 13, 1);
					text-decoration: none;
				}
			</style>
			<nav style="position: relative;"><a href="/">Mansardo Jamada</a></nav>
			<div class="our-panel user-profile-placeholder">
				<div class="our-panel-heading">
					<div class="title">${TITOLO}</div>
				</div>
				<div class="our-panel-body">
                                $ENHAVO
				</div>
			</div>
		</div>
		<div id=modal></div>
		<div id=popovers>
	</body>
</html>
EOF
