import Config

config :pleroma, Pleroma.Web.Endpoint,
  url: [host: "jam.xwx.moe", port: 443, scheme: "https"],
  http: [port: 4000],
  protocol: "http"

config :phoenix, serve_endpoints: true

# Do not print debug messages in production
config :logger, :console, level: :info
config :logger, :ex_syslogger, level: :info

# Finally import the config/prod.secret.exs
# which should be versioned separately.
if File.exists?("./config/prod.secret.exs") do
  import_config "prod.secret.exs"
else
  "`config/prod.secret.exs` not found. You may want to create one by running `mix pleroma.instance gen`"
  |> IO.warn([])
end

if File.exists?("./config/prod.exported_from_db.secret.exs"),
  do: import_config("prod.exported_from_db.secret.exs")


config :pleroma, Pleroma.Captcha.Kocaptcha, endpoint: "http://localhost:5001"

config :pleroma, Pleroma.Captcha,
  enabled: true,
  seconds_valid: 3000,
  method: Pleroma.Captcha.Kocaptcha

config :pleroma, :instance,
  name: "Mansardo Jamada",
  email: "xwx@posteo.org",
  notify_email: "xwx@posteo.org",
  limit: 50000,
  registrations_open: true,
  max_pinned_statuses: 25,
  account_approval_required: true

config :pleroma, :instance, static_dir: "/opt/pleroma/instance/static"
config :pleroma, Pleroma.Uploaders.Local, uploads: "/opt/pleroma/uploads"

config :pleroma, :manifest,
  icons: [
    %{
      src: "/static/bildoj/emblemo.png",
      type: "image/png"
    }
  ],
  theme_color: "#282c37",
  background_color: "#191b22"


# Enable Strict-Transport-Security once SSL is working:
config :pleroma, :http_security,
  sts: true


config :pleroma, Pleroma.Upload,
  filters: [Pleroma.Upload.Filter.Exiftool.StripLocation, Pleroma.Upload.Filter.Exiftool.ReadDescription],
  base_url: "https://ujo.jam.xwx.moe/media" # Ruza nomo, ĉu ne? =w=


config :pleroma, :frontend_configurations,
  pleroma_fe: %{
    alwaysShowSubjectInput: true,
    background: "/static/bildoj/fono.jpg",
    collapseMessageWithSubject: true,
    disableChat: true,
    greentext: true,
    hideFilteredStatuses: false,
    hideMutedPosts: false,
    hidePostStats: false,
    hideSitename: false,
    hideUserStats: false,
    loginMethod: "password",
    logo: "/static/bildoj/emblemo.png",
    logoMargin: ".1em",
    logoMask: false,
    minimalScopesMode: false,
    noAttachmentLinks: false,
    nsfwCensorImage: "/static/bildoj/konsterna.jpg",
    postContentType: "text/plain",
    redirectRootLogin: "/main/friends",
    redirectRootNoLogin: "/main/all",
    scopeCopy: true,
    sidebarRight: false,
    showFeaturesPanel: true,
    showInstanceSpecificPanel: true,
    subjectLineBehavior: "email",
    theme: "malvo",
    webPushNotifications: false
  }


config :pleroma, :markup,
  allow_inline_images: true,
  allow_headings: true,
  allow_tables: true,
  allow_fonts: false,
  scrub_policy: [
    Pleroma.HTML.Scrubber.Default,
    Pleroma.HTML.Transform.MediaProxy
  ]


config :pleroma, :mrf,
  policies: [
    Pleroma.Web.ActivityPub.MRF.AntiLinkSpamPolicy, Pleroma.Web.ActivityPub.MRF.SimplePolicy
  ]

import_config "blokoj.exs"
