#!/bin/sh

RSYNC_DRYRUN="--dry-run"
if test "$1" = "--real"; then
	RSYNC_DRYRUN=""
fi

if test ! -d "static/emoji"; then
	pushd ../bildosignoj/
	sh ../bildosignoj/elporti.sh ../pleroma/static/emoji/
	popd

	pushd static/emoji
	mv Flagoj/*/*.png Flagoj/
	mv Gutkatoj/movbildoj/* Gutkatoj/
	mv Moneroj/*/*.png Moneroj/
	popd
fi

rsync $RSYNC_DRYRUN --recursive --delete --archive --verbose static/ $(whoami)@xwx.moe:/opt/pleroma/instance/static.local/
rsync $RSYNC_DRYRUN --verbose prod.exs $(whoami)@xwx.moe:/opt/pleroma/config/prod.exs

if test "$RSYNC_DRYRUN" = "--dry-run"; then
	echo "=================================================="
	echo "Ran in --dry-run mode!"
	echo "Try '$(basename "$0") --real' if the output seems OK."
	echo "=================================================="
fi
